Bug 422831 - Review Request: python-libgmail - Library to provide access to Gmail via Python
Review Request: python-libgmail - Library to provide access to Gmail via Python
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 422841 422851
  Show dependency treegraph
 
Reported: 2007-12-12 23:05 EST by Michael Stahnke
Modified: 2008-02-13 00:16 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.1.8-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-13 00:11:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michael Stahnke 2007-12-12 23:05:58 EST
Spec URL: http://stahnma.fedorapeople.org/reviews/python-libgmail.spec
SRPM URL: http://stahnma.fedorapeople.org/reviews/python-libgmail-0.1.8-1.fc8.src.rpm
Description: Library to provide access to Gmail via Python.
Comment 1 Parag AN(पराग) 2007-12-13 00:39:23 EST
Nice to see new python build created egginfo file here.

Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and RPM.
+ source files match upstream.
58f694ae19733e68b97e7a54d96d2637  libgmail-0.1.8.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present which are small.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.

APPROVED.
Comment 2 Ville Skyttä 2007-12-13 11:52:31 EST
License should be GPLv2, not GPLv2+.

$ grep License libgmail.py
# License: GPL 2.0
Comment 3 Michael Stahnke 2007-12-13 15:19:11 EST
I thought I read through the license file, COPYING and got that, but I could be
wrong.  Change Made.

Latest Copies at

Spec URL: http://stahnma.fedorapeople.org/reviews/python-libgmail.spec
SRPM URL:
http://stahnma.fedorapeople.org/reviews/python-libgmail-0.1.8-2.fc8.src.rpm
Comment 4 Parag AN(पराग) 2007-12-13 22:05:56 EST
(In reply to comment #2)
> License should be GPLv2, not GPLv2+.
> 
> $ grep License libgmail.py
> # License: GPL 2.0

oops. you are right. missed that libgmail.py clearly said its GPLv2.

(In reply to comment #3)
> I thought I read through the license file, COPYING and got that, but I could be
> wrong.  Change Made.
> 
> Latest Copies at
> 
> Spec URL: http://stahnma.fedorapeople.org/reviews/python-libgmail.spec
> SRPM URL:
> http://stahnma.fedorapeople.org/reviews/python-libgmail-0.1.8-2.fc8.src.rpm

Thanks. License looks correct now.
APPROVED.
Comment 5 Michael Stahnke 2008-01-20 03:24:19 EST
New Package CVS Request
=======================
Package Name: python-libgmail
Short Description:  Library to provide access to Gmail via Python.
Owners: mastahnke@gmail.com
Branches: EL-4, EL-5, F7 , F8 
InitialCC: 
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2008-01-20 13:20:45 EST
Please use Fedora Account name for the Owners field. 

cvs done.
Comment 7 Parag AN(पराग) 2008-01-26 00:13:55 EST
Michael,
  Can you build this package so that I can review fuse-gmailfs?
Comment 8 Fedora Update System 2008-01-28 00:08:28 EST
python-libgmail-0.1.8-2.fc7 has been submitted as an update for Fedora 7
Comment 9 Fedora Update System 2008-01-28 00:10:08 EST
python-libgmail-0.1.8-2.fc8 has been submitted as an update for Fedora 8
Comment 10 Fedora Update System 2008-01-29 00:14:28 EST
python-libgmail-0.1.8-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-libgmail'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-1133
Comment 11 Parag AN(पराग) 2008-02-06 20:48:55 EST
Closing this as this package has been successfully built for all requested
branches on build server.
Comment 12 Fedora Update System 2008-02-13 00:11:36 EST
python-libgmail-0.1.8-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2008-02-13 00:16:25 EST
python-libgmail-0.1.8-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.